Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.svg
Enum OdfSpreadMethodType

    java.lang.Object
      java.lang.Enum<OdfSpreadMethodType>
          org.odftoolkit.odfdom.dom.type.svg.OdfSpreadMethodType

All Implemented Interfaces:
  Serializable, Comparable<OdfSpreadMethodType>

    public enum OdfSpreadMethodType

extends Enum<OdfSpreadMethodType>

DOM implementation of OpenDocument attribute svg:spreadMethod.

Enum Constant Summary
`PAD`
`REFLECT`
`REPEAT`

Method Summary
`static OdfSpreadMethodType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfSpreadMethodType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfSpreadMethodType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfSpreadMethodType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REFLECT

    public static final OdfSpreadMethodType REFLECT

### REPEAT

    public static final OdfSpreadMethodType REPEAT

### PAD

    public static final OdfSpreadMethodType PAD

Method Detail

### values

    public static OdfSpreadMethodType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfSpreadMethodType c : OdfSpreadMethodType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfSpreadMethodType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfSpreadMethodType>`
  Returns:
    return the name of OdfSpreadMethodType

### toString

    public static String toString(OdfSpreadMethodType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfSpreadMethodType, see svg:spreadMethod
  Returns:
    return the name of OdfSpreadMethodType

### enumValueOf

    public static OdfSpreadMethodType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfSpreadMethodType
  Returns:
    return the constant of OdfSpreadMethodType, see svg:spreadMethod

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.